package ru.dbotthepony.mc.otm.triggers

import com.google.gson.JsonObject
import net.minecraft.advancements.critereon.AbstractCriterionTriggerInstance
import net.minecraft.advancements.critereon.DeserializationContext
import net.minecraft.advancements.critereon.EntityPredicate.Composite
import net.minecraft.advancements.critereon.SimpleCriterionTrigger
import net.minecraft.resources.ResourceLocation
import net.minecraft.server.level.ServerPlayer
import ru.dbotthepony.mc.otm.OverdriveThatMatters

object PhantomSpawnDeniedTrigger : SimpleCriterionTrigger<PhantomSpawnDeniedTrigger.Instance>() {
	val ID = ResourceLocation(OverdriveThatMatters.MOD_ID, "phantom_spawn_denied")

	override fun getId(): ResourceLocation {
		return ID
	}

	override fun createInstance(
		p_66248_: JsonObject,
		p_66249_: Composite,
		p_66250_: DeserializationContext
	): Instance {
		return Instance
	}

	fun trigger(player: ServerPlayer) {
		trigger(player) { true }
	}

	object Instance : AbstractCriterionTriggerInstance(ID, Composite.ANY)
}
